UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 2561

ModelSim (MTI) - ISE 6.1 以前のツールで ModelSim 用にザイリンクス シミュレーション ライブラリをコンパイルする方法

説明


ISE 6.1 以前のツールで ModelSim 用にザイリンクス シミュレーション ライブラリをコンパイルする方法を教えてください。

注記 : MXE を使用する場合は、ライブラリを手動でコンパイルする必要はありません。

http://support.xilinx.com/support/mxelibs/ から最新の MXE ライブラリをダウンロードしてください。

ソリューション


ザイリンクス 6.1i、5.2i、5.1i ツール

CompXLib を使用してライブラリをコンパイルします。

CompXLib の使用方法については、(ザイリンクス アンサー 15338) を参照してください。

6.1i では、CompXLib は Linux で機能します。

5.1i/5.2i では、Linux はサポートされていません。

5.1i/5.2i では、Linux で ModelSim を実行する場合は次の Tcl スクリプトを使用してください。
 
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_5.tar.gz

ザイリンクス 4.1i/4.2i ツール

ザイリンクス FTP サイトから Tcl スクリプトを入手できます。

このスクリプトは、ModelSim の SE および PE バージョンで機能します。

注記 : この Tcl スクリプトでは、VHDL スマート モデルはコンパイルされません。

PC :
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_4.zip

Unix :
http://www.xilinx.com/txpatches/pub/swhelp/mti/xilinx_lib_4.tar.gz

AR# 2561
作成日 08/21/2007
最終更新日 11/26/2014
ステータス アクティブ
タイプ 一般
ツール
  • ISE